using System;

namespace Baza_Reklam.Classes.Model
{
    public class Production
    {
        private int _id;
        private int _adId;
        private int _customerId;
        private string _adName;
        private string _sellAgent;
        private string _productionAgent;
        private string _status;
        private string _content;
        private string _module;
        private DateTime _productionDate;
        private DateTime _acceptanceDate;
        private DateTime _returnDate;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string AdName
        {
            get { return _adName; }
            set { _adName = value; }
        }

        public string SellAgent
        {
            get { return _sellAgent; }
            set { _sellAgent = value; }
        }

        public string ProductionAgent
        {
            get { return _productionAgent; }
            set { _productionAgent = value; }
        }

        public string Status
        {
            get { return _status; }
            set { _status = value; }
        }

        public string Content
        {
            get { return _content; }
            set { _content = value; }
        }

        public string Module
        {
            get { return _module; }
            set { _module = value; }
        }

        public DateTime ProductionDate
        {
            get { return _productionDate; }
            set { _productionDate = value; }
        }

        public DateTime AcceptanceDate
        {
            get { return _acceptanceDate; }
            set { _acceptanceDate = value; }
        }

        public int AdId
        {
            get { return _adId; }
            set { _adId = value; }
        }

        public int CustomerId
        {
            get { return _customerId; }
            set { _customerId = value; }
        }

        public DateTime ReturnDate
        {
            get { return _returnDate; }
            set { _returnDate = value; }
        }
    }
}